Subject: 31.0.50; MODE-set-explicitly change caused regressions in bind-map

From: Aaron Jensen <[email-masked]>
Date: Sun, 24 Aug 2025 15:17:47 -0700

This may be as expected as it sounds like MODE-set-explicitly is meant
to be internal, but I wanted to report it in case regressions were not
expected.

The change:
https://github.com/emacs-mirror/emacs/commit/c05ea64d8268315093673f8be29d4ceb92198b81

The 3rd-party library's use of *-set-explicitly:
https://github.com/justbur/emacs-bind-map/blob/f23cfc13222a39e686d28a83ff83e9901d8908b2/bind-map.el#L180

After the change, bind-map no longer successfully overrides maps. I
don't know the specifics of why it doesn't work, but correcting the
formatting of the name to use the format string "%s--set-explicitly"
restores functionality.

I've opened an issue in bind-map so that it can be addressed there if
that's appropriate. Please feel free to close this if this is expected
and acceptable.

Thank you,

Aaron